ECHO OFF
IF EXIST D:\SAVAGE\SAVEGAME\*.* GOTO PROBLEM
RENDIR BETH SAVEGAME
SAVAGE
RENDIR SAVEGAME BETH
GOTO END
:PROBLEM
ECHO One moment, correcting directory problem...
GOTO BETH
:BETH
IF EXIST D:\SAVAGE\BETH\*.* GOTO LURAY
SAVAGE
RENDIR SAVEGAME BETH
GOTO END
:LURAY
IF EXIST D:\SAVAGE\LURAY\*.* GOTO MWR
RENDIR SAVEGAME LURAY
RENDIR BETH SAVEGAME
SAVAGE
RENDIR SAVEGAME BETH
GOTO END
:MWR
IF EXIST D:\SAVAGE\MWR\*.* GOTO WHOA
RENDIR SAVEGAME MWR
RENDIR BETH SAVEGAME
SAVAGE
RENDIR SAVEGAME BETH
GOTO END
:WHOA
ECHO ************************************************************
ECHO              We have a slight problem here.
ECHO ************************************************************
ECHO All three saved games (\BETH, \LURAY, and \MWR) exist in 
ECHO this directory, and so does the \SAVEGAME subdirectory. 
ECHO Something has gone wrong, and it's beyond the abilities of 
ECHO this batch file to fix things. You'll need to figure it out 
ECHO yourself. Best of luck...
ECHO ************************************************************
GOTO END
:END